Search Results for

Show / Hide Table of Contents

# Interface ISdkProxy

Managed object that exposes global settings of native SDK.

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface ISdkProxy

### Properties

#### AdRequestTimeout

Gets or sets timeout for creative requests.

##### Declaration

    TimeSpan AdRequestTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
TimeSpan | The time interval allowed for a creative to load before it is considered a failure.

#### AdRequestTimeoutPreRenderContent

Gets or sets timeout for video and interstitial creatves.

##### Declaration

    TimeSpan AdRequestTimeoutPreRenderContent { get; set; }

##### Property Value

Type | Description
--- | ---
TimeSpan | The time interval allowed for video and interstitial creatives to load.

#### AssignNativeAssetID

Gets or sets whether the asset ID for native ads should be manually assigned.

##### Declaration

    bool AssignNativeAssetID { get; set; }

##### Property Value

Type | Description
--- | ---
bool | `true` if IDs should be assigned automatically, `false` if manually.

#### DebugRequests

Gets or sets debug mode for requests.

##### Declaration

    bool DebugRequests { get; set; }

##### Property Value

Type | Description
--- | ---
bool | `true` if debug mode is enabled, `false` otherwise

#### EndpointID

Gets or sets endpoint ID for ads.

##### Declaration

    string? EndpointID { set; }

##### Property Value

Type | Description
--- | ---
string | A unique identifier generated on the platform’s UI.

#### ExternalUserIds

Gets or sets external IDs of the user.

##### Declaration

    IEnumerable<ExternalUserID> ExternalUserIds { get; set; }

##### Property Value

Type | Description
--- | ---
IEnumerable<ExternalUserID> | External IDs of the user that could be used for ad targeting.

##### Remarks

See https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md

##### See Also

ExternalUserID
ExternalUserIds

#### LogLevel

Gets or sets the log level for native library.

##### Declaration

    LogLevel LogLevel { get; set; }

##### Property Value

Type | Description
--- | ---
LogLevel | The desired verbosity of the logs.

#### OmSdkVersion

Gets the OM SDK version.

##### Declaration

    string? OmSdkVersion { get; }

##### Property Value

Type | Description
--- | ---
string | The version of native OM SDK library.

#### SdkVersion

Gets the SDK version.

##### Declaration

    string? SdkVersion { get; }

##### Property Value

Type | Description
--- | ---
string | The version of native SDK library.

#### Timeout

Gets or sets request timeout.

##### Declaration

    TimeSpan Timeout { get; set; }

##### Property Value

Type | Description
--- | ---
TimeSpan | The timeout for ad requests.

### Extension Methods

SdkProxyExtensions.Apply(ISdkProxy, SdkConfig)